// Code generated by error-codegen DO NOT EDIT

package errors

type ErrBadRequest struct {
	message string
	cause   error
}

func (e *ErrBadRequest) Error() string {
	return e.message
}

func (e *ErrBadRequest) Unwrap() error {
	return e.cause
}

func NewErrBadRequest() error {
	return &ErrBadRequest{
		message: "There was a problem processing the request",
	}
}

func NewErrBadRequestWithMessage(message string) error {
	return &ErrBadRequest{
		message: message,
	}
}

func NewErrBadRequestWithCause(message string, cause error) error {
	return &ErrBadRequest{
		message: message,
		cause:   cause,
	}
}

func NewErrBadRequestWithMessageAndCause(message string, cause error) error {
	return &ErrBadRequest{
		message: message,
		cause:   cause,
	}
}
